Whether the call is paused for payment and what is being captured
GET
/v1/workspace/calls/{call_id}/payment-pause
const url = 'https://api.vocapable.com/v1/workspace/calls/example/payment-pause';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/calls/example/payment-pause \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”call_id
required
Call Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcPaymentPauseState
What is being captured on the call right now.
safe_to_collect is true only while a pause is open AND the server confirmed that
neither the recording nor the live transcript is capturing (the carrier answered).
object
call_id
required
Call Id
string
paused
required
Paused
boolean
safe_to_collect
required
Safe To Collect
boolean
recording
required
Recording
string
transcript
required
Transcript
string
current
required
Any of:
CcPaymentPause
object
id
required
Id
string
source
required
Source
string
started_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
started_at
required
Started At
string format: date-time
resume_due_at
required
Resume Due At
string format: date-time
started_at_ms
required
Started At Ms
integer
after_seq
required
After Seq
integer
ended_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
label
required
Label
string
null
pauses
required
Pauses
Array<object>
CcPaymentPauseobject
id
required
Id
string
source
required
Source
string
started_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
started_at
required
Started At
string format: date-time
resume_due_at
required
Resume Due At
string format: date-time
started_at_ms
required
Started At Ms
integer
after_seq
required
After Seq
integer
ended_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
label
required
Label
string
can_pause
required
Can Pause
boolean
can_resume
required
Can Resume
boolean
max_pause_seconds
required
Max Pause Seconds
integer
Example
{ "recording": "paused", "transcript": "stopped", "current": { "source": "agent", "end_reason": "agent" }, "pauses": [ { "source": "agent", "end_reason": "agent" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}